#ifndef EFLAGS_H_
#define EFLAGS_H_

namespace driver {
	class CEflags {
	public:
		/*
		 * コンストラクタ
		 */
		CEflags();
		
		/*
		 * int型代入
		 */
		CEflags& operator =(dword ef);
		
		/*
		 * 演算代入関数
		 */
		CEflags& operator |=(dword val);
		CEflags& operator &=(dword val);
		
		/*
		 * int型への変換演算子
		 */
		operator dword() const;
	};
	
	extern CEflags eflags;
}

#endif /*EFLAGS_H_*/
